[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TGuiLoopEvent

GUI loop event mechanism

## Declaration

Source position: daemonapp.pp line 326

`type TGuiLoopEvent = procedure of object;`

## Description

TGuiLoopEvent is the main GUI loop event procedure prototype. It is called by the application instance in case the daemon has a visual part, which needs to handle visual events. It is run in the main application thread.

## See also

TCustomDaemonApplication.GUIMainLoop |  | GUI main loop callback
TCustomDaemonApplication.GUIHandle |  | Handle of GUI loop main application window handle

The latest version of this document can be found at lazarus-ccr.sourceforge.net.